import {ContentType, HttpClient, RequestParams,} from "/@/api/admin/http-client";
import {AxiosResponse} from "axios/index";

export class FuelingFtpAPI<SecurityDataType = unknown> extends HttpClient<SecurityDataType>{

  /**
   * No description
   *
   * @tags
   * @name getFtpPwd
   * @summary 获取FTP密码
   * @request POST:/api/app/fuel-ftp/get-fuel-ftp-key
   * @secure
   */
  getFtpPwd = (data:any,params: RequestParams = {}) =>
    this.request<AxiosResponse,any>({
        path:'/api/app/fuel-ftp/get-fuel-ftp-key',
        method: 'POST',
        body:data,
        secure: true,
        type: ContentType.Json,
        format: 'json',
        ...params
      }
    )
}
